{% extends "base.html" %}
{% load l10n alarme_utils %}

{% block title %}Factures{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'facturation' %}">Facturation</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ title }}</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col">
            <h2>{{ title }} (<span class="list-count">{{ paginator.count }}</span>)</h2>
        </div>
        {% if csv_export %}
        <div class="col-auto text-end">
            <form method="post" action="{{ csv_export }}">{% csrf_token %}
                <button type="submit" class="btn btn-primary" title="Exportation CSV des factures pour la compta">
                    Exportation CSV</button>
            </form>
        </div>
        {% endif %}
        {% if api_export %}
        <div class="col-auto text-end">
            <form id="envoi-factures" method="post" action="{{ api_export }}" class="unmonitor">{% csrf_token %}
                <button type="submit" class="btn btn-primary long-op" title="Envoi des factures à la compta">
                    Envoi des factures à Navision</button>
            </form>
        </div>
        {% endif %}
    </div>

    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table facture-list">
        <thead class="sticky">
            <tr><th>Date de facture</th><th>Client</th><th>Libellé</th><th>Article</th><th>Montant</th></tr>
            <tr class="filters">
                <td>{{ form.date_facture }}</td><td>{{ form.nom_client }}</td>
                <td>{{ form.libelle }}</td><td>{{ form.article }}</td><td>{{ form.montant }}</td>
            </tr>
        </thead>
        <tbody id="filter_container">
        {% for facture in object_list %}
            <tr data-clientid="{{ facture.client.pk }}">
                <td>
                    {% if perms.alarme.change_facture %}
                    <a href="{% url 'facture-edit' facture.client.pk facture.pk %}" class="openmodal"
                       {% if not facture.exporte %}
                       data-deleteurl="{% url 'facture-delete' facture.client.pk facture.pk %}"
                       data-deleteconfirm="Souhaitez-vous vraiment supprimer cette facture ?"
                       {% endif %}>
                    {% endif %}
                       {{ facture.date_facture|date:'d.m.Y' }}
                    {% if perms.alarme.change_facture %}</a>{% endif %}
                    {% if facture.export_err %}
                        <img src="{% static 'img/warning.svg' %}" data-bs-toggle="tooltip" title="{{ facture.export_err }}">
                    {% endif %}
                </td>
                <td><a href="{% url 'client-edit' facture.client_id %}">{{ facture.client }}</a>
                    {% if not facture.client.no_debiteur %}<span class="manquant" title="Il manque le n° débiteur pour ce client">*</span>{% endif %}
                </td>
                <td>{{ facture.libelle }}</td>
                <td>{{ facture.article }}</td>
                <td>{{ facture.montant|unlocalize }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}

{% endblock %}
